Redmine - Defect #1209

"View differences" of one file at /repositories/revision/ fails
2008-05-08 08:29 - Go MAEDA

Status: Closed Start date: 2008-05-08
Priority: Normal Due date:

Assignee: % Done: 0%
Category: SCM Estimated time: 0.00 hour
Target version: 0.7.2

Resolution: Fixed Affected version:

Description

"View differences" of one file at /repositories/revision/ fails.
This problem happens depending on directory depth of repository URL. 'http:/svn.example.com/svn/dir' is OK but
'http://svn.example.com/svn/dir/subdir' is NG.

How to reproduce:
Consider the following conditions.
® Project name is "example_project".

¢ Repository URL is http:/svn.example.com/svn/dir/subdir/
® A revision contains some file like "foo.rb" which url is "http://svn.example.com/svn/dir/subdir/foo.rb"

—_

. Set repository URL to "http://svn.example.com/svn/dir/subdir/"
. View the revision.
3. click "View differences" of "foo.rb". You will see error message "The entry or revision was not found in the repository".

N

The cause of this problem is that the page "/repositories/diff/" expects the path "/project_name/foo.rb" but "View differences" passes
"/project_name/subdir/foo.rb".

Related issues:
Related to Redmine - Defect #1275: View differences for individual file of a ... Closed 2008-05-21

Associated revisions

Revision 1446 - 2008-05-24 19:58 - Jean-Philippe Lang

Fixed: View differences for individual file of a changeset fails if the subversion repository URL doesn't point to the repository root (#1209, #1262,
#1275).

History

#1 - 2008-05-13 14:51 - Marco Tralles

i've the same problem using redmine 0.7.1 on my server. The production-log shows:

Processing RepositoriesController#diff (for 84.190.180.27 at 2008-05-13 15:04:58) [GET]

Session ID: 3f4d9273a4c8af0b2e6c9269805ffabf

Parameters: {"rev"=>"39", "action"=>"diff", "id"=>"project", "controller"=>"repositories", "path"=>["filenam
e"l}
Rendering template within layouts/base
Completed in 0.11232 (8 regs/sec) | Rendering: 0.02183 (19%) | DB: 0.00000 (0%) | 500 Internal Server Error [h
ttp://redmine.domain.tld/repositories/diff/project/filename?rev=39]

#2 - 2008-05-16 14:53 - Chris Platts

Same here. This (for me) is a regression, since the bug was not present in 0.7-stable (currently running 0.7.devel.1432)

My project's respository URL is set to http:/some.server.com/thisProject/

The View Differences link is passing http://some.server.com/thisProject/thisProject/...

#3 - 2008-05-24 19:57 - Jean-Philippe Lang
- Category set to SCM

- Status changed from New to Closed
http://svn.example.com/svn/dir/subdir/
http://some.server.com/thisProject/
http://some.server.com/thisProject/thisProject/

- Target version set to 0.7.2

- Resolution set to Fixed

Fixed in r1446.
